<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Image Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classImage.html">Image</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#aa3cc6f7401625c11dcd5ef003f37e4fa">afficherConsole</a>()</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a288917aec4c55beaae0a772ca9f76a53">dessinerRectangle</a>(int Xmin, int Ymin, int Xmax, int Ymax, Pixel couleur)</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#ad159951e9564d29f28112ece322c0a97">effacer</a>(Pixel couleur)</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a5eb08fc4d14fa9933aa2fd64380eca98">getDimX</a>() const</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#a9c46d1bf18fa88b97a6876054f74b795">getDimY</a>() const</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a77a8d8824141ed8b9db62154a211536d">getPix</a>(int x, int y)</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#a99be5d70422354999a5f63da4cb85838">getPix</a>(int x, int y) const</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a07780f5b37697f1b69a00c843b542dd9">getTab</a>() const</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#a58edd1c45b4faeb5f789b0d036d02313">Image</a>()</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a781829417e05ac62d5c1ea090a8844d1">Image</a>(unsigned int dimensionX, unsigned int dimensionY)</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#afba7efeb769e23a9affa315f451f15f0">isValid</a>(int x, int y) const</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a504778b71d66c4da931cad497e2ec249">ouvrir</a>(const string &amp;filename)</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#af870cb0c00a370927e6957f99a409586">sauver</a>(const string &amp;filename) const</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#af7c99d0b4b817fc3bd7840e0428d2f78">setPix</a>(int x, int y, Pixel couleur)</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classImage.html#a82ffef6c89927b0cc755a3fe2fec637b">testRegression</a>()</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classImage.html#a0294f63700543e11c0f0da85601c7ae5">~Image</a>()</td><td class="entry"><a class="el" href="classImage.html">Image</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
